package cokr.xit.fims.cmmn;

public class OtptStngQuery extends CmmnQuery {
	private static final long serialVersionUID = 1L;
	//발송구분코드
	private String sndngSeCd;
	//출력용지구분코드
	private String paperSeCd;

	public String getSndngSeCd() {
		return ifEmpty(sndngSeCd, () -> null);
	}

	public <T extends OtptStngQuery> T setSndngSeCd(String sndngSeCd) {
		this.sndngSeCd = sndngSeCd;
		return self();
	}

	public String getPaperSeCd() {
		return ifEmpty(paperSeCd, () -> null);
	}

	public <T extends OtptStngQuery> T setPaperSeCd(String paperSeCd) {
		this.paperSeCd = paperSeCd;
		return self();
	}
}